Skip to main content
Get edge application instance status
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

User defined name of the app instance, unique across the enterprise. Once app instance is created, name can’t be changed

Response

A successful response.

AppInstanceStatusMsg encapsulates the status of an app instance

id
string

app instance id

name
string

User defined name of the app instance, unique across the enterprise. Once app instance is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
deviceId
string

User defined name of the device, unique across the enterprise. Once device is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
appId
string

User defined name of the edge app, unique across the enterprise. Once edge app is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

adminState
enum<string>
default:ADMIN_STATE_UNSPECIFIED

App instance status

Available options:
ADMIN_STATE_UNSPECIFIED,
ADMIN_STATE_CREATED,
ADMIN_STATE_DELETED,
ADMIN_STATE_ACTIVE,
ADMIN_STATE_INACTIVE,
ADMIN_STATE_REGISTERED,
ADMIN_STATE_ARCHIVED,
ADMIN_STATE_DELETION_PENDING
errInfo
DeviceError is used to store the error details of the hardware. · object[]

Device error details

bootTime
string<date-time>

device boot time

lastUpdate
string<date-time>

device last update time

IoStatusList
IoBundleStatus is used to store the status of the Input Output bundle · object[]

Io bundle status list

swInfo
Software Information · object[]

Software details

runState
enum<string>
default:RUN_STATE_UNSPECIFIED

app instance state

Available options:
RUN_STATE_UNSPECIFIED,
RUN_STATE_ONLINE,
RUN_STATE_HALTED,
RUN_STATE_INIT,
RUN_STATE_REBOOTING,
RUN_STATE_OFFLINE,
RUN_STATE_UNKNOWN,
RUN_STATE_UNPROVISIONED,
RUN_STATE_PROVISIONED,
RUN_STATE_SUSPECT,
RUN_STATE_DOWNLOADING,
RUN_STATE_RESTARTING,
RUN_STATE_PURGING,
RUN_STATE_HALTING,
RUN_STATE_ERROR,
RUN_STATE_VERIFYING,
RUN_STATE_LOADING,
RUN_STATE_CREATING_VOLUME,
RUN_STATE_BOOTING,
RUN_STATE_MAINTENANCE_MODE,
RUN_STATE_START_DELAYED,
RUN_STATE_BASEOS_UPDATING,
RUN_STATE_PREPARING_POWEROFF,
RUN_STATE_POWERING_OFF,
RUN_STATE_PREPARED_POWEROFF
netCounterList
NetworkCounter is used to store the Network Stats and Counters · object[]

network counter list

Memory
Memory Summary · object

memory summary

Storage
Storage Summary · object

storage summary

netStatusList
NetworkStatus is used to store the Network Status · object[]

network status list

upTime
string<date-time>

device up time

swState
enum<string>
default:SW_STATE_UNSPECIFIED

software state

Available options:
SW_STATE_UNSPECIFIED,
SW_STATE_INITIAL,
SW_STATE_DOWNLOAD_IN_PROGRESS,
SW_STATE_DOWNLOADED,
SW_STATE_VERIFIED,
SW_STATE_INSTALLED,
SW_STATE_BOOTING,
SW_STATE_RUNNING,
SW_STATE_HALTING,
SW_STATE_HALTED,
SW_STATE_REFRESHING,
SW_STATE_PURGING,
SW_STATE_RESOLVING_TAG,
SW_STATE_RESOLVED_TAG,
SW_STATE_CREATING_VOLUME,
SW_STATE_CREATED_VOLUME,
SW_STATE_VERIFYING,
SW_STATE_LOADING,
SW_STATE_LOADED,
SW_STATE_AWAITNETWORKINSTANCE
Cpu
CPU Summary · object

SPU details

projectId
string

User defined name of the project, unique across the enterprise. Once project is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string

app instance status title

appStatusFromTPController
object

app status from third party controller

appType
enum<string>
default:APP_TYPE_UNSPECIFIED

type of app

Available options:
APP_TYPE_UNSPECIFIED,
APP_TYPE_VM,
APP_TYPE_VM_RUNTIME,
APP_TYPE_CONTAINER,
APP_TYPE_MODULE,
APP_TYPE_DOCKER_COMPOSE
clusterId
string

System defined universally unique clusterInstance ID, unique across the enterprise.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
deploymentType
enum<string>
default:DEPLOYMENT_TYPE_UNSPECIFIED

type of deployment for the app, eg: azure, k3s, standalone

Available options:
DEPLOYMENT_TYPE_UNSPECIFIED,
DEPLOYMENT_TYPE_STAND_ALONE,
DEPLOYMENT_TYPE_AZURE,
DEPLOYMENT_TYPE_K3S,
DEPLOYMENT_TYPE_AWS,
DEPLOYMENT_TYPE_K3S_AZURE,
DEPLOYMENT_TYPE_K3S_AWS,
DEPLOYMENT_TYPE_VMWARE_VCE,
DEPLOYMENT_TYPE_VMWARE_TKG_ATTACH,
DEPLOYMENT_TYPE_DOCKER_RUNTIME
memorySummary
App Instance Memory Summary · object

memory summary

volumeRefs
string[]

list of volume ids attached

zpoolMetrics
object

Last received counters for zvol metrics

patchEnvelopeUsageInfo
object[]

patch envelope usage info

containerStatusList
object[]

docker-compose container status

runtimePlatformVersions
object

Runtime platform versions

app
object

App bundle specific info

device
object

Device specific info